core.testing / Simulation / SimulatedNode

# SimulatedNode

`open class SimulatedNode : MockNode`

### Constructors

<init> | `SimulatedNode(dir: Path, config: NodeConfiguration, mockNet: MockNetwork, networkMapAddress: NodeInfo?, advertisedServices: Set<ServiceType>, id: Int)`

### Inherited Properties

id | `val id: Int`
log | `open val log: <ERROR CLASS>`
mockNet | `val mockNet: MockNetwork`
place | `val place: PhysicalLocation`
serverThread | `open val serverThread: AffinityExecutor`

### Functions

findMyLocation | `open fun findMyLocation(): PhysicalLocation?`

### Inherited Functions

makeIdentityService | `open fun makeIdentityService(): MockIdentityService`
makeMessagingService | `open fun makeMessagingService(): MessagingService`
start | `open fun start(): MockNode`
startMessagingService | `open fun startMessagingService(): Unit`